function y = matvec(A,x)
%function that performs the matrix vector multiplication using nested
%loops
%   input: A matrix of size m times n
%          x column vector size n times 1
%   output: y column vector size m times 1
%           such that y = Ax

% obtain the size of A
[m,n] = size(A);

% create vector of zeros
y = zeros(m,1);

% we perform a nested loop (super slow)
% first we loop over each row
for i=1:m
	% within each row, we loop over each column
    for j = 1:n
        y(i) = y(i) + A(i,j)*x(j);
    end
end
        

end

